> For the complete documentation index, see [llms.txt](https://developers.citrusad.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.citrusad.com/integration/reference/deletefiltermapping-1.md).

# delete a filter mapping

{% hint style="info" %}
Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view [this page](https://help.citrusad.com/retail-media-interface/integration/citrus-filter-mapping-api/filtermapping/deletefiltermapping-1) in the new Integration APIs space of our documentation.
{% endhint %}

## DELETE /filter-mapping/{id}

> delete a filter mapping

```json
{"openapi":"3.0.0","info":{"title":"Citrus filter-mapping API","version":"0.0.1-alpha"},"servers":[{"url":"https://$BASE_URL.citrusad.com/v1"}],"security":[{"TokenSecurity":[]}],"components":{"securitySchemes":{"TokenSecurity":{"description":"For accessing the API a valid JWT jwt must be passed in all queries in\nthe 'Authorization' header. The following syntax must be used in the\n'Authorization' header.\n\nBearer xxx.yyy.zzz\n","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"Response":{"properties":{"errorMessages":{"items":{"properties":{"code":{"type":"integer"},"message":{"type":"string"}},"type":"object"},"type":"array"},"isSuccessful":{"type":"boolean"}},"type":"object"}},"responses":{"InvalidRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}},"description":"There was a problem with input."},"UnAuthorized":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}},"description":"Login failed or token not valid."},"NotFound":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}},"description":"Resource Not found."},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}},"description":"There was a server problem."}}},"paths":{"/filter-mapping/{id}":{"delete":{"operationId":"deleteFilterMapping","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}},"description":"standard success response"},"400":{"$ref":"#/components/responses/InvalidRequest"},"401":{"$ref":"#/components/responses/UnAuthorized"},"403":{"$ref":"#/components/responses/UnAuthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"delete a filter mapping","tags":["filterMapping"]}}}}
```
